Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel
Class PCB

    java.lang.Object
      things.thinger.kernel.PCB

    public class PCB

extends java.lang.Object

A PROCESS CONTROL BLOCK.

This is a process container for the Kernel.

Version:
  1.0

  Version History

      EPG - Initial - 13 FEB 06

Author:
  Erich P. Gatejen

Constructor Summary
`PCB(ThingsProcess process, Clearance processClearance, ThingsPropertyView localProperties, ThingsPropertyViewReader configProperties)` Constructor.

Method Summary
`static java.lang.String` | `getCallerIdentityString()` Get the caller identity string.
`Clearance` | `getClearance()` Get the clearance.
`java.lang.String` | `getIdentityString()` Get the identity string.
`ThingsPropertyViewReader` | `getMyConfigProperties()` Get the configuration properties for this process.
`ThingsPropertyView` | `getMyLocalProperties()` Get the local properties for this process.
`ThingsProcess` | `getProcess()` Get the resource.
`long` | `getProcessNumericId()` Get the process numeric ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCB

    public PCB(ThingsProcess process,
               Clearance processClearance,
               ThingsPropertyView localProperties,
               ThingsPropertyViewReader configProperties)
        throws SystemException

  Constructor. It will put the process under management.

  Parameters:
    `process` - The process to put under management.
    `processClearance` - The process clearance.
    `localProperties` - the local properties for the process.
    `configProperties` - the read only configuration properties for the process.
  Throws:
    `SystemException`
  See Also:
    `ProcessInterface`, `ThingsPropertyView`, `ThingsPropertyViewReader`

Method Detail

### getProcess

    public ThingsProcess getProcess()

  Get the resource.

  Returns:
    The resource.

### getClearance

    public Clearance getClearance()

  Get the clearance.

  Returns:
    The clearance.

### getProcessNumericId

    public long getProcessNumericId()

  Get the process numeric ID.

  Returns:
    ID

### getIdentityString

    public java.lang.String getIdentityString()

  Get the identity string.

  Returns:
    the identity string.

### getCallerIdentityString

    public static java.lang.String getCallerIdentityString()

  Get the caller identity string. This is how a caller process (thread) can ID itself using the same scheme that the PCB will use.

  Returns:
    the identity string.

### getMyLocalProperties

    public ThingsPropertyView getMyLocalProperties()

  Get the local properties for this process.

  Returns:
    ThingsPropertyReader view of the local properties.
  See Also:
    `ThingsPropertyView`

### getMyConfigProperties

    public ThingsPropertyViewReader getMyConfigProperties()

  Get the configuration properties for this process.

  Returns:
    ThingsPropertyViewReader read only view of the configuration properties.
  See Also:
    `ThingsPropertyViewReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.